import { ProjectUpdateComponent } from './project-management/project-update/project-update.component';
import { ProjectCreateComponent } from './project-management/project-create/project-create.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ProjectManagementComponent } from './project-management/project-management.component';

const routes: Routes = [
  { path: 'projects-management', component: ProjectManagementComponent },
  { path: 'project-create', component: ProjectCreateComponent },
  { path:'project-update/:projectID', component: ProjectUpdateComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProjectManagerRoutingModule {}
