import { TableModule } from 'primeng/table';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { ButtonModule } from 'primeng/button';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ProjectManagerRoutingModule } from './project-manager-routing.module';
import { ProjectManagementComponent } from './project-management/project-management.component';
import { ProjectNavbarComponent } from './project-management/project-navbar/project-navbar.component';
import { ProjectCreateComponent } from './project-management/project-create/project-create.component';
import { ProjectsListComponent } from './project-management/projects-list/projects-list.component';
import { ProjectUpdateComponent } from './project-management/project-update/project-update.component';


@NgModule({
  declarations: [

    ProjectManagementComponent,
       ProjectNavbarComponent,
       ProjectCreateComponent,
       ProjectsListComponent,
       ProjectUpdateComponent
  ],
  imports: [
    CommonModule,
    ProjectManagerRoutingModule,
    ButtonModule,
    ReactiveFormsModule,
    TableModule,
    FormsModule
  ]
})
export class ProjectManagerModule { }
